curl --request GET \
--url https://api.atoa.me/api/customers/{customerId}/cards \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.atoa.me/api/customers/{customerId}/cards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch(
"https://api.atoa.me/api/customers/{customerId}/cards",
{
headers: { Authorization: "Bearer <token>" },
}
);
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.atoa.me/api/customers/{customerId}/cards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.atoa.me/api/customers/{customerId}/cards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://api.atoa.me/api/customers/{customerId}/cards")
.header("Authorization", "Bearer <token>")
.asString();
[
{
"id": "card_abc123def456",
"name": "John Doe",
"type": "credit",
"lastFourDigits": "4242",
"category": "consumer",
"cardType": "DEBIT",
"brand": "VISA",
"country": "GB",
"expiryDate": "12/2027",
"metadata": { "internalId": "42" },
"createdAt": "2025-06-15T10:30:00.000Z"
}
]
{
"name": "NOT_FOUND",
"message": "Customer not found",
"status": 404,
"errors": []
}
Payment Methods
List Payment Methods
List payment methods via the Atoa Payment Methods API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.
GET
/
api
/
customers
/
{customerId}
/
cards
curl --request GET \
--url https://api.atoa.me/api/customers/{customerId}/cards \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.atoa.me/api/customers/{customerId}/cards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch(
"https://api.atoa.me/api/customers/{customerId}/cards",
{
headers: { Authorization: "Bearer <token>" },
}
);
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.atoa.me/api/customers/{customerId}/cards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.atoa.me/api/customers/{customerId}/cards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://api.atoa.me/api/customers/{customerId}/cards")
.header("Authorization", "Bearer <token>")
.asString();
[
{
"id": "card_abc123def456",
"name": "John Doe",
"type": "credit",
"lastFourDigits": "4242",
"category": "consumer",
"cardType": "DEBIT",
"brand": "VISA",
"country": "GB",
"expiryDate": "12/2027",
"metadata": { "internalId": "42" },
"createdAt": "2025-06-15T10:30:00.000Z"
}
]
{
"name": "NOT_FOUND",
"message": "Customer not found",
"status": 404,
"errors": []
}
List all saved payment methods for a customer. Use the
Query Parameters
Response
Returns an array of saved card objects. Returns an empty array
id field as paymentMethodId when charging a saved card.
Authorization
Bearer<accessSecret>
Path Parameters
string
required
The customer UUID whose cards to retrieve.
object
Filter to cards whose metadata contains an exact key/value match. Use bracket syntax:
?metadata[internalId]=42.[] if no cards are saved.
string
Card identifier. Use this as
paymentMethodId when processing payments.string
Cardholder name.
string
Card type (e.g.,
credit, debit).string
Last 4 digits of the card number.
string
Card category (e.g.,
consumer, commercial).string
Card type (e.g.,
DEBIT, CREDIT, PREPAID).string
Card network brand (e.g.,
VISA, MASTERCARD).string
Card issuing country code (e.g.,
GB).string
Card expiry date in
MM/YYYY format.object
The key/value string pairs attached to the card when it was saved.
string
ISO 8601 timestamp of when the card was saved.
curl --request GET \
--url https://api.atoa.me/api/customers/{customerId}/cards \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.atoa.me/api/customers/{customerId}/cards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch(
"https://api.atoa.me/api/customers/{customerId}/cards",
{
headers: { Authorization: "Bearer <token>" },
}
);
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.atoa.me/api/customers/{customerId}/cards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.atoa.me/api/customers/{customerId}/cards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://api.atoa.me/api/customers/{customerId}/cards")
.header("Authorization", "Bearer <token>")
.asString();
[
{
"id": "card_abc123def456",
"name": "John Doe",
"type": "credit",
"lastFourDigits": "4242",
"category": "consumer",
"cardType": "DEBIT",
"brand": "VISA",
"country": "GB",
"expiryDate": "12/2027",
"metadata": { "internalId": "42" },
"createdAt": "2025-06-15T10:30:00.000Z"
}
]
{
"name": "NOT_FOUND",
"message": "Customer not found",
"status": 404,
"errors": []
}